Skip to main content
DELETE
/
accounts
/
customers
/
{customerId}
Delete a customer
curl --request DELETE \
  --url https://api-sb.meld.io/accounts/customers/{customerId} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "isDeleted": true,
  "serviceProviderCustomersDeleted": {}
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

customerId
string
required

Meld generated unique identifier for your customer. This should be used to track customer activity.

Query Parameters

serviceProviders
string

Comma separated list of service providers. If present, the customer will only be deleted with these specified service provider(s), but the Meld customer will remain active. This can be useful for when service providers impose restrictions on the number of customers allowed in their sandbox/development environments. In such cases, you may only want to delete the customer with that provider, but maintain it for other providers it is connected to, if any. If this parameter is absent, then the customer will be deleted with all the service providers it is linked to and the Meld customer will be deleted as well.

Note: Currently, this endpoint only supports deleting Bank-Linking service provider customers. Therefore, Payments/Crypto service providers should not be included.

Response

Customer is deleted

id
string
required

The id of the customer deleted

isDeleted
boolean
required

True if the Meld customer was deleted as well and can no longer be used anymore. This will only be true if no service providers were passed into the request

serviceProviderCustomersDeleted
object

The service provider customers deleted for this customer, if any. A map of the service provider to the provider's id for the customer